Loading...
Searching...
No Matches
OBRMSDConformerScore Class Reference
Conformer Searching

`#include <openbabel/conformersearch.h>`

Inheritance diagram for OBRMSDConformerScore:
[legend]

## Public Types

enum | Preferred { HighScore , LowScore }
enum | Convergence { Highest , Lowest , Sum , Average }

## Public Member Functions

Preferred | GetPreferred ()
Convergence | GetConvergence ()
double | Score (OBMol &mol, unsigned int index, const RotorKeys &keys, const std::vector< double * > &conformers)

## Detailed Description

A RMSD conformer scoring class.

Score conformers by the RMSD between the conformer with specified index and the closest conformer. This results in a diverse set of conformers.

Since
  2.3

## Member Enumeration Documentation

## Preferred

enum Preferred

inherited

Conformer scores can be preferably high or low.

Enumerator
HighScore |
LowScore |

## Convergence

enum Convergence

inherited

Convergence criteria used.

Enumerator
Highest |
Lowest |
Sum |
Average |

## Member Function Documentation

## GetPreferred()

Preferred GetPreferred | ( |  | ) |

inline virtual

Preferred order for subclass scoring function.

Implements OBConformerScore.

## GetConvergence()

Convergence GetConvergence | ( |  | ) |

inline virtual

Convergence criteria for subclass scoring function.

Implements OBConformerScore.

## Score()

double Score | ( | OBMol & | mol,
|  | unsigned int | index,
|  | const RotorKeys & | keys,
|  | const std::vector< double * > & | conformers )

virtual

Score an individual conformer specified by index.

Implements OBConformerScore.

The documentation for this class was generated from the following files:

- conformersearch.h
- conformersearch.cpp